###########################################################
#
# Hello website fan! What domain would you like to improve? 
# (Note: this is by no means an exhaustive list of 
# possibilities--just a few we have tried.)

# $givemedomain = "www.dow.com";
# $givemedomain = "www.yahoo.com";
$givemedomain = "www.dhs.gov";
# $givemedomain = "www.cato.org";
# $givemedomain = "www.alcoholics-anonymous.org";
# $givemedomain = "www.gop.org";
# $givemedomain = "www.mtv.com";
# $givemedomain = "www.hillandknowlton.com";
# $givemedomain = "www.weforum.org";
# $givemedomain = "www.ue2002.es";
# $givemedomain = "www.chiracaveclafrance.net"; 
# $givemedomain = "www.trilateral.org";
# $givemedomain = "www.wto.org";  
# $givemedomain = "www.cnn.com"; 
# $givemedomain = "www.riaa.org";
# $givemedomain = "www.latimes.com";  
# $givemedomain = "www.nytimes.com"; 
# $givemedomain = "www.microsoft.com"; 
# $givemedomain = "europa.eu.int"; 
# $givemedomain = "www.monsanto.com"; 
# $givemedomain = "www.worldbank.org"; 
# $givemedomain = "www.whitehouse.gov"; 
# $givemedomain = "www.vivendiuniversal.com"; 
# $givemedomain = "www.imf.org"; 
# $givemedomain = "www.7-eleven.com"; 
# $givemedomain = "www.mcdonalds.com"; 
# $givemedomain = "www.planetdeusex.com";
# $givemedomain = "www.philipmorris.com"; # nearly--must get imghack working...
# $givemedomain = "www.lufthansa.com"; # nearly
# $givemedomain = "www.dupont.com"; # at root?
# $givemedomain = "www.msn.com"; # easily fixable base href problem--see reamweaverlib.pl
# $givemedomain = "www.msnbc.com"; # partly works
# $givemedomain = "www.newsweek.com"; # partly works
# $givemedomain = "www.accenture.com"; # sort of works but not really
# $givemedomain = "www.sony.com"; # nearly works

# Any additional domains that, if linked, you'd like to fix too? (Subdomains included for free!)
$givemealso = "cnn.net, time.com, timeinc.net, wto-ministerial.org, eu.int, msnbc.com, weforum.org, hillandknowlton.co.uk, hillandknowlton.be, hillandknowlton.cz, hill.ee, hillandknowlton.fi, hillandknowlton.de, hillandknowlton.hu, hillandknowlton.nl, hillandknowlton.se, hwp.de, nrconsulting.com, hillandknowlton.com.au, hillandknowlton.co.nz, hillandknowlton.ca, hillandknowlton.com.hk, wpp.com, hillandknowlton.com, ceogo.com";

# Optional but recommended: What's your domain name? (Note: if using mod_rewrite, this is mandatory and must include full path.)
$putithere = "www.actlab.us/~rbd254";

# Where's "your" perl? It's usually ok to leave this as is. 
# To find "your" perl, check your host's information pages, ask your system 
# administrator, or type "which perl".  
# (IMPORTANT: If you change the below, you must also change it at the top of
# reamweaverlib.pl and reamweaverphpstart.pl.
$perlpath = "/usr/bin/perl";

# Cache directory (will be visible in address line; comment out if you don't wish to use):
$cachedir = "r"; # Note: this subdirectory must have all permission ("chmod 777 r", for example).

# Normally Reamweaver will continually update pages as they are updated on the target domain,
# or when you change the relevant substitution files. The below two variables can allow
# you to override this behavior, so you can modify stored pages as you like without fear
# your changes will be overridden.

# If you want Reamweaver to download files once only, and then never overwrite them UNLESS
# you update the substitution files, set the below to 1.
$neveroverwritecached = 0;

# If you want Reamweaver to download files once only, and then never overwrite them EVEN IF
# you update the substitution files, set the below to 1.
$absolutelyneveroverwritecached = 0;

# That's all you really need to do!
#
############################################################
#
# Okay, if you really want to keep configuring, here are more options:

# Substitutions file(s):
$sublist = "substitutions.txt, substitutions-weforum.txt, substitutions-cnn.txt, substitutions-dhs.txt, substitutions-wto.txt"; 
# $sublist = "substitutions-wtosad.txt";
# $sublist = "substitutions-hillandknowlton.txt";
# If blank, will use substitutions-cnn.txt (for example) AND substitutions.txt

# Do you want to use Reamweaver in "reverse" mode, i.e. just leave *in* 
# selected words (in $flufflist below) instead of substituting them? 
$fluffmode = 0;

# If you're in fluffmode, what's teh list of words you want to leave in?
$flufflist = "fluffwords.txt";

# Figure out (English) plurals, etc., when substituting?
$smartsubstitutions = 1;
# $smartsubstitutions = 1;

# Steal emails? Will change emails @ $givemedomain and $givemealso (with any initial www.'s removed) if so.
# Emails will become original-address@$putithere (with www. removed).
$stealemails = 1;

# If defined, stolen emails will simply resolve to $myemail.
# $myemail = "me@emailservice.com"; # NOTE: this may or may not work....

# TODO: below var is obsolete i think... get rid of it.
$rewritefullurls = 1; # if givemedomain is found in text, replace it with the domain from $putithere

# If you'd like to add a metatag description, type it here; the old one will not be changed (so there may be two).
# $metadesc = "The Foundation organizes the Davos meeting of political and business leaders. It aims to create the foremost global partnership of business, political, intellectual and other leaders of civil society to define and discuss the key issues on the global agenda."

# If you'd like to add metatag keywords, type them here; the old ones will still be used.
# $metakeywords = "world economic forum, wef, free trade, economic growth, prosperity";

# If you'd like any flash movie to show up as a blank space, set to 1 (otherwise, to leave flash movies functional, set to 0).
$killflash = 1;

# This is probably not very useful.
$dontuseHTTP10 = 0;

# Cache results of queries separately? 1 for yes, 0 for no.
# (www.target.com/query?param=yes will be stored in one file, www.target.com/query?param=no in another)
$cacheparams = 0;

# Domains to get without also getting subdomains:
# $givemealsospecific = "i.cnn.net, search.cnn.com, cnn.looksmart.com, community.cnn.com, fyi.cnn.com, money.cnn.com"; 

# Cache directory when using mod_rewrite (will not be visible in address line):
$cachedir_mod_rewrite = "stolen";

# How long to wait on socket (internet) connection before giving up?
$socketconnecttime = 15; # in seconds

# How long to wait on parsing the whole file before giving up?
$killtime = 240; # in seconds

# File for helpful messages, in case things don't quite work right.
$dbgfile = "dbg"; # To not write messages, put a # in front of this line.

# Where is your cgi-bin relative to your main directory (only relevant if using mod_rewrite)?
# $cgiurl = "cgi-bin";

# Back up debug file when it gets this big (and start over):
$dbgfilesizelimit = 300000;

# Write a lot of messages to the debug file?
$dbgverbose = 1;

# Write a whole lot of messages to the debug file?
$dbgveryverbose = 0;

# How long to keep files before checking for new ones?
$cachetime = 90;
# $cachetime = 90; 

# Preface this when file requested is "/":
$slashfile = "in"; # May be blank--will figure one out from $givemedomain.

# When Reamweaver asks for pages from your $givemedomain, who would you like to say is calling?
# $referer = "www.wto.org"; # If blank or commented out, will use your $givemedomain.

# Please see readme.txt for information.
# Version: $Name:  $

